Category: Manual/documentation Estimated time: 3.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.75 hour

Description

CoCoA-4 manual had a part with the list of commands and a part with "topics" (the latter has been obsolete for ages!).

Currently, with nice cross links, the "topics" part is no longer necesary.

I suggest we have just one part with the alphabetical list of commands and topics, remove the redundant and/or obsolete sections

and move conveniently the remaining useful sections.

Eventually think of a short tutorial and cheat-sheet.

Related issues:

Related to CoCoA-5 - Feature #188: CoCoAManual: entries for operators Closed 14 Jun 2012

Related to CoCoA-5 - Feature #466: CoCoAManual: add entry summarising syntax ... Closed 11 Mar 2014

Related to CoCoA-5 - Support #177: CoCoAManual: General part of the documenta... In Progress 01 Jun 2012

History

#1 - 28 Mar 2014 08:43 - Anna Maria Bigatti

- Category set to Manual/documentation

- Status changed from New to In Progress

It seems that pages like Introduction to ... could indeed be nice.

The current one are usually far too long: simplify and update!

#2 - 28 Mar 2014 16:17 - John Abbott

The "Intro to XYZ" idea is good, but I do not much like the title.

Maybe "XYZ in CoCoA", or "Using XYZ", or "Creating and Using XYZ in CoCoA"...

Another possibility: "Hints and Tips for XYZ"

Is the idea that these pages would contain some of the "philosophy" of CoCoA?

#3 - 09 Apr 2014 17:19 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#4 - 02 Jul 2014 16:45 - Anna Maria Bigatti

- Subject changed from New structure for manual? to CoCoAManual: New structure for manual?

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 100

- Estimated time set to 3.00 h

Strictly related with #177
https://cocoa.dima.unige.it/redmine/issues/177


#5 - 05 Sep 2014 11:38 - Anna Maria Bigatti

- Status changed from In Progress to Closed
